[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Packages that require Java 2 ?

> > * Should we have a java2-compiler too?
> 	This probably should be discussed. It would be nice for Build-depends:
> 	lines in debian/control files.

FWIW, since build-depends is not intended for the general user, I tend to
favour explicit build-depends such as

Build-Depends: jikes

etc.  This means you *know* the package will build correctly on
miscellaneous autobuilder, etc. without having to test it with each and
every java compiler and its idiosyncracies.

Okay, off to join the blood drive here in Oklahoma.  I'm still speechless.


Reply to: